- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Static Public Member Functions | Friends

# QCopChannel Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qcopchannel_qws.h.

`#include <qcopchannel_qws.h>`

Inheritance diagram for QCopChannel:
[legend]

List of all members.

## Signals
void | received (const QString &msg, const QByteArray &data)
## Public Member Functions
| QCopChannel (const QString &channel, QObject *parent=0)
virtual | ~QCopChannel ()
QString | channel () const
virtual void | receive (const QString &msg, const QByteArray &data)
## Static Public Member Functions
static bool | isRegistered (const QString &channel)
static bool | send (const QString &channel, const QString &msg)
static bool | send (const QString &channel, const QString &msg, const QByteArray &data)
static bool | flush ()
static void | sendLocally (const QString &ch, const QString &msg, const QByteArray &data)
static void | reregisterAll ()
## Friends
class | QWSServer
class | QWSServerPrivate
class | QApplication

## Constructor & Destructor Documentation

QCopChannel | ( | const QString & | channel,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

virtual ~QCopChannel | ( |  | ) | `[virtual]`

## Member Function Documentation

QString channel | ( |  | ) | const

Search for all occurrences

static bool isRegistered | ( | const QString & | channel | ) | `[static]`

Search for all occurrences

static bool send | ( | const QString & | channel,
|  | const QString & | msg
| ) |  | `[static]`

Search for all occurrences

static bool send | ( | const QString & | channel,
|  | const QString & | msg,
|  | const QByteArray & | data
| ) |  | `[static]`

Search for all occurrences

static bool flush | ( |  | ) | `[static]`

Search for all occurrences

static void sendLocally | ( | const QString & | ch,
|  | const QString & | msg,
|  | const QByteArray & | data
| ) |  | `[static]`

Search for all occurrences

static void reregisterAll | ( |  | ) | `[static]`

Search for all occurrences

virtual void receive | ( | const QString & | msg,
|  | const QByteArray & | data
| ) |  | `[virtual]`

Search for all occurrences

void received | ( | const QString & | msg,
|  | const QByteArray & | data
| ) |  | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QWSServer `[friend]`

Search for all occurrences

Definition at line 97 of file qcopchannel_qws.h.

friend class QWSServerPrivate `[friend]`

Search for all occurrences

Definition at line 98 of file qcopchannel_qws.h.

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 99 of file qcopchannel_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qcopchannel_qws.h

QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel
QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel QCopChannel